Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040108
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Omnichannelminoralways2019-02-01 13:552019-02-27 17:34
Reporterinaki_garciaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revisionc081df330c7e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040108: [RR19Q1] [Omni] Sales Order Line shows two separate "More Information" sections

DescriptionTwo separate "More Information" sections are shown, one with "Price Modification Reason" field, and the other one with the "Delivery Mode" field introduced by the
Omnichannel project. Having two sections with the same name is confusing and doesn't make sense.

This is depicted in the attached screenshot.
Steps To ReproduceN/A
Proposed SolutionModify the sequence numbers of the fields of the Field Group/Category they belong to, so they show under the same section before the "Dimensions" section
TagsNo tags attached.
Attached Filespng file icon two_more_information_sections_salesorder_lines.png [^] (94,329 bytes) 2019-02-01 13:55

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0040204RR19Q1 closedranjith_qualiantech_com [RR19Q1] [Omni] Sales Order Line shows two separate "More Information" sections 

-  Notes
(0109916)
hgbot (developer)
2019-02-19 06:35

Repository: erp/pmods/org.openbravo.retail.taxexempt
Changeset: 63b6ce5f57feca35b0e20420d639567fee1a94a2
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 19 11:04:23 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.taxexempt/rev/63b6ce5f57feca35b0e20420d639567fee1a94a2 [^]

Related to issue 40108 : Tax Exempt fields should be shown under More Information Field Group in Sales Order Line

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0109917)
hgbot (developer)
2019-02-19 06:35

Repository: erp/pmods/org.openbravo.retail.deliverymodes
Changeset: 67e49b6951c5b705e1ecea1552e78badc6c4acd1
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 19 11:04:18 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.deliverymodes/rev/67e49b6951c5b705e1ecea1552e78badc6c4acd1 [^]

Related to issue 40108 : Delivery Modes fields should be shown under More Information Field Group in Sales Order Line

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0109918)
hgbot (developer)
2019-02-19 06:35

Repository: erp/pmods/org.openbravo.retail.discounts.discountmatrixmanagement
Changeset: 21600897511b6e39cdbfae989ad372bf09978f3a
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 19 11:04:27 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.discountmatrixmanagement/rev/21600897511b6e39cdbfae989ad372bf09978f3a [^]

Related to issue 40108 : Discount Approval fields should be shown under More Information Field Group in Sales Order Line

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0109919)
hgbot (developer)
2019-02-19 06:35

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c081df330c7e7757b035c96b031f6cf9e8c9e0f2
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 19 11:04:35 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c081df330c7e7757b035c96b031f6cf9e8c9e0f2 [^]

Fixed issue 40108 : Serial No and other fields should be shown under More Information Field Group in Sales Order Line

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0110110)
jorge-garcia (developer)
2019-02-27 17:34

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2019-02-01 13:55 inaki_garcia New Issue
2019-02-01 13:55 inaki_garcia Assigned To => Retail
2019-02-01 13:55 inaki_garcia File Added: two_more_information_sections_salesorder_lines.png
2019-02-01 13:55 inaki_garcia Triggers an Emergency Pack => No
2019-02-01 13:56 inaki_garcia Proposed Solution updated
2019-02-14 15:59 marvintm Status new => scheduled
2019-02-16 08:07 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-02-19 06:35 hgbot Checkin
2019-02-19 06:35 hgbot Note Added: 0109916
2019-02-19 06:35 hgbot Checkin
2019-02-19 06:35 hgbot Note Added: 0109917
2019-02-19 06:35 hgbot Checkin
2019-02-19 06:35 hgbot Note Added: 0109918
2019-02-19 06:35 hgbot Checkin
2019-02-19 06:35 hgbot Note Added: 0109919
2019-02-19 06:35 hgbot Status scheduled => resolved
2019-02-19 06:35 hgbot Resolution open => fixed
2019-02-19 06:35 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c081df330c7e7757b035c96b031f6cf9e8c9e0f2 [^]
2019-02-27 17:14 jorge-garcia Review Assigned To => jorge-garcia
2019-02-27 17:34 jorge-garcia Note Added: 0110110
2019-02-27 17:34 jorge-garcia Status resolved => closed
2019-02-27 17:34 jorge-garcia Fixed in Version => RR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker